Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services
Class SequenceGenerator

    java.lang.Object
      org.jasig.portal.services.SequenceGenerator

    public class SequenceGenerator

extends java.lang.Object

Version:
  $Revision: 1.7 $
Author:
  Dan Ellentuck

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`protected static ISequenceGeneratorFactory` | `m_Factory`
`private static SequenceGenerator` | `m_instance`
`protected ISequenceGenerator` | `m_sequenceGenerator`
`protected static java.lang.String` | `s_factoryName`

Constructor Summary
`SequenceGenerator()`

Method Summary
`void` | `createCounter(java.lang.String name)`
`java.lang.String` | `getNext()`
`java.lang.String` | `getNext(java.lang.String name)`
`int` | `getNextInt()`
`int` | `getNextInt(java.lang.String name)`
`static SequenceGenerator` | `instance()`
`void` | `setCounter(java.lang.String name, int newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### m_sequenceGenerator

    protected ISequenceGenerator m_sequenceGenerator

### m_instance

    private static SequenceGenerator m_instance

### s_factoryName

    protected static java.lang.String s_factoryName

### m_Factory

    protected static ISequenceGeneratorFactory m_Factory

Constructor Detail

### SequenceGenerator

    public SequenceGenerator()

Method Detail

### createCounter

    public void createCounter(java.lang.String name)
                       throws java.lang.Exception

  Parameters:
    `name` - String
  Throws:
    `java.lang.Exception`

### getNext

    public java.lang.String getNext()
                             throws java.lang.Exception

  Returns:
    String
  Throws:
    `java.lang.Exception`

### getNext

    public java.lang.String getNext(java.lang.String name)
                             throws java.lang.Exception

  Parameters:
    `name` - String
  Returns:
    String
  Throws:
    `java.lang.Exception`

### getNextInt

    public int getNextInt()
                   throws java.lang.Exception

  Returns:
    int
  Throws:
    `java.lang.Exception`

### getNextInt

    public int getNextInt(java.lang.String name)
                   throws java.lang.Exception

  Parameters:
    `name` - String
  Returns:
    int
  Throws:
    `java.lang.Exception`

### instance

    public static final SequenceGenerator instance()

  Returns:
    SequenceGenerator

### setCounter

    public void setCounter(java.lang.String name,
                           int newValue)
                    throws java.lang.Exception

  Parameters:
    `name` - java.lang.String
    `newValue` - int
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD